### Function

# PangoCairo FontMap get_default

since: 1.10

#### Declaration [src]

    PangoFontMap*
    pango_cairo_font_map_get_default (
      void
    )

#### Description [src]

Gets a default `PangoCairoFontMap` to use with Cairo.

Note that the type of the returned object will depend on the particular font backend Cairo was compiled to use; you generally should only use the `PangoFontMap` and `PangoCairoFontMap` interfaces on the returned object.

The default Cairo fontmap can be changed by using `pango_cairo_font_map_set_default()`. This can be used to change the Cairo font backend that the default fontmap uses for example.

Note that since Pango 1.32.6, the default fontmap is per-thread. Each thread gets its own default fontmap. In this way, PangoCairo can be used safely from multiple threads.

Available since: 1.10

#### Return value

Type: `PangoFontMap`

The default PangoCairo fontmap for the current thread. This object is owned by Pango and must not be freed.

The data is owned by the called function.